/**
 *
 * Openutils testing library (http://lab.openmindonline.it/products/testing.html)
 * Framework that helps to simplify unit testing coding
 * Copyright (C)2005 - 2009, Openmind S.r.l. http://www.openmindonline.it
 *
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * You may obtain a copy of the License at
 *
 * http://www.gnu.org/licenses/lgpl-2.1.html
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package it.openutils.testing;

import java.util.regex.Pattern;

import org.dbunit.dataset.DataSetException;
import org.dbunit.dataset.filter.AbstractTableFilter;


/**
 * A table filter that excludes tables mathing the given regexp.
 * @author fgiust
 * @version $Id: RegExpTableFilter.java 1301 2009-08-25 09:41:04Z mmunaretto $
 */
public class RegExpTableFilter extends AbstractTableFilter
{

    private Pattern pattern;

    /**
     * Instantiates a new RegExpTableFilter
     * @param pattern regexp pattern
     */
    public RegExpTableFilter(String pattern)
    {
        if (pattern != null)
        {
            this.pattern = Pattern.compile(pattern);
        }
    }

    /**
     * {@inheritDoc}
     */
    @Override
    public boolean isValidName(String tableName) throws DataSetException
    {
        return pattern == null || !pattern.matcher(tableName).matches();
    }

}
